package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF8G2Data {

    private Map<String, Object> params;
    
    public MWF8G2Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsTransactioncode() {
        return (String) params.get("RS_TRANSACTIONCODE");
    }

    public String rsFee1Description() {
        return (String) params.get("RS_FEE1_DESCRIPTION");
    }

    public String rsFee1Override() {
        return (String) params.get("RS_FEE1_OVERRIDE");
    }

    public Double rsFee1Percent() {
        return (Double) params.get("RS_FEE1_PERCENT");
    }

    public Double rsFee1Minimum() {
        return (Double) params.get("RS_FEE1_MINIMUM");
    }

    public Double rsFee1Maximum() {
        return (Double) params.get("RS_FEE1_MAXIMUM");
    }

    public Double rsFixedFee1Am() {
        return (Double) params.get("RS_FIXED_FEE1_AM");
    }

    public String rsFee2Description() {
        return (String) params.get("RS_FEE2_DESCRIPTION");
    }

    public String rsFee2Override() {
        return (String) params.get("RS_FEE2_OVERRIDE");
    }

    public Double rsFee2Percent() {
        return (Double) params.get("RS_FEE2_PERCENT");
    }

    public Double rsFee2Minimum() {
        return (Double) params.get("RS_FEE2_MINIMUM");
    }

    public Double rsFee2Maximum() {
        return (Double) params.get("RS_FEE2_MAXIMUM");
    }

    public Double rsFixedFee2Am() {
        return (Double) params.get("RS_FIXED_FEE2_AM");
    }

    public String rsFee3Description() {
        return (String) params.get("RS_FEE3_DESCRIPTION");
    }

    public String rsFee3Override() {
        return (String) params.get("RS_FEE3_OVERRIDE");
    }

    public Double rsFee3Percent() {
        return (Double) params.get("RS_FEE3_PERCENT");
    }

    public Double rsFee3Minimum() {
        return (Double) params.get("RS_FEE3_MINIMUM");
    }

    public Double rsFee3Maximum() {
        return (Double) params.get("RS_FEE3_MAXIMUM");
    }

    public Double rsFixedFee3Am() {
        return (Double) params.get("RS_FIXED_FEE3_AM");
    }

    public String rsFee4Description() {
        return (String) params.get("RS_FEE4_DESCRIPTION");
    }

    public String rsFee4Override() {
        return (String) params.get("RS_FEE4_OVERRIDE");
    }

    public Double rsFee4Percent() {
        return (Double) params.get("RS_FEE4_PERCENT");
    }

    public Double rsFee4Minimum() {
        return (Double) params.get("RS_FEE4_MINIMUM");
    }

    public Double rsFee4Maximum() {
        return (Double) params.get("RS_FEE4_MAXIMUM");
    }

    public Double rsFixedFee4Am() {
        return (Double) params.get("RS_FIXED_FEE4_AM");
    }

    public String rsFee5Description() {
        return (String) params.get("RS_FEE5_DESCRIPTION");
    }

    public String rsFee5Override() {
        return (String) params.get("RS_FEE5_OVERRIDE");
    }

    public Double rsFee5Percent() {
        return (Double) params.get("RS_FEE5_PERCENT");
    }

    public Double rsFee5Minimum() {
        return (Double) params.get("RS_FEE5_MINIMUM");
    }

    public Double rsFee5Maximum() {
        return (Double) params.get("RS_FEE5_MAXIMUM");
    }

    public Double rsFixedFee5Am() {
        return (Double) params.get("RS_FIXED_FEE5_AM");
    }

    public String rsFee6Description() {
        return (String) params.get("RS_FEE6_DESCRIPTION");
    }

    public String rsFee6Override() {
        return (String) params.get("RS_FEE6_OVERRIDE");
    }

    public Double rsFee6Percent() {
        return (Double) params.get("RS_FEE6_PERCENT");
    }

    public Double rsFee6Minimum() {
        return (Double) params.get("RS_FEE6_MINIMUM");
    }

    public Double rsFee6Maximum() {
        return (Double) params.get("RS_FEE6_MAXIMUM");
    }

    public Double rsFixedFee6Am() {
        return (Double) params.get("RS_FIXED_FEE6_AM");
    } 

}
